# MacroEntry_s Struct Reference

`#include <rpmmacro.h>`

## Data Fields

MacroEntry_s * | prev
const char * | name
const char * | opts
const char * | body
int | used
int | level

## Detailed Description

The structure used to store a macro.

Definition at line 9 of file rpmmacro.h.

## Field Documentation

const char* MacroEntry_s::body

| Macro body. Definition at line 13 of file rpmmacro.h. Referenced by expandMacro(), popMacro(), rpmFreeMacros(), and rpmLoadMacros().

int MacroEntry_s::level

| Scoping level. Definition at line 15 of file rpmmacro.h. Referenced by freeArgs().

const char* MacroEntry_s::name

| Macro name. Definition at line 11 of file rpmmacro.h. Referenced by compareMacroName(), expandMacro(), freeArgs(), grabArgs(), popMacro(), pushMacro(), rpmFreeMacros(), and rpmLoadMacros().

const char* MacroEntry_s::opts

| Macro parameters (a la getopt) Definition at line 12 of file rpmmacro.h. Referenced by expandMacro(), grabArgs(), popMacro(), rpmFreeMacros(), and rpmLoadMacros().

struct MacroEntry_s* MacroEntry_s::prev

| Macro entry stack. Definition at line 10 of file rpmmacro.h. Referenced by popMacro(), pushMacro(), and rpmFreeMacros().

int MacroEntry_s::used

| No. of expansions. Definition at line 14 of file rpmmacro.h. Referenced by expandMacro(), and freeArgs().

The documentation for this struct was generated from the following file:

- rpmio/rpmmacro.h